@extends('layouts.admin')
@section('content')


    {{--修改表格--}}
@include('admin.table.style')

    <!--左侧菜单栏-->
@include('admin.left-sidebar')
    <!-- 内容 -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                受理案件
                <small> </small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="{{ url('/')}}"><i class="fa fa-dashboard"></i> 主页</a></li>
                <li><a href="#">项目申请</a></li>
                <li><a href="{{ url('/table') }}">受理案件</a></li>
            </ol>
        </section>
        <!-- Main content -->
        <section class="content">
            <!-- Default box -->
            <div class="box">
                <div class="box-header">

                </div>
                <!-- /.box-header -->
                <div class="box-body"  id="print">
                    {{--content--}}
                    <div class="row" style="text-align: center">
                        <h3>海勃湾区房屋征收安置补贴单</h3><br>
                    </div>
                    <form action="" method="post">
                        {{ csrf_field() }}
                    <div id="example2_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
                        <div class="row">
                            <div class="col-sm-2">项目名称：</div>
                            <div class="col-sm-7">
                                <select name="project_name" class="form-control">
                                    <option value=" "></option>
                                    @foreach($project as $data)
                                        <option value="{{ $data->project_name }}"
                                                @if($table->project_name == $data->project_name) selected @endif
                                        >{{ $data->project_name }}</option>
                                    @endforeach
                                </select>                            </div>
                            <div class="col-sm-1">编号：</div>
                            <div class="col-sm-2">
                                <input style="margin: 0px;" name="num" value="{{ $table->num }}" class="form-control" type="text" placeholder=" ">
                            </div><br><br>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <table style="border: 1px solid #585858" id="example2" class="table table-bordered">
                                    <tbody>
                                    <tr>
                                        <td>被征收户姓名</td>
                                        <td colspan="2"><input name="bzc_name" value="{{ $table->bzc_name }}" class="form-control" type="text" placeholder=""></td>
                                        <td>被征收房屋住址</td>
                                        <td colspan="3"><input name="bzc_addr" value="{{ $table->bzc_addr }}" class="form-control" type="text" placeholder=""></td>
                                    </tr>
                                    <tr>
                                        <td>联系电话</td>
                                        <td colspan="2"><input name="bzc_tel" value="{{ $table->bzc_tel }}" class="form-control" type="text" placeholder=""></td>
                                        <td>被征收人身份证号</td>
                                        <td colspan="3"><input name="bzc_cardid" value="{{ $table->bzc_cardid }}" class="form-control" type="text" placeholder=""></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" rowspan="2">临时安置费</td>
                                        <td>面积（㎡）</td>
                                        <td>标准</td>
                                        <td>月数</td>
                                        <td>金额</td>
                                        <td></td>
                                    </tr>
                                    <tr>
                                        <td><input name="anzhi_1" class="form-control" type="text" placeholder=""  value="{{ $table->anzhi_1 }}"></td>
                                        <td><input name="anzhi_2" class="form-control" type="text" placeholder=""  value="{{ $table->anzhi_2 }}"></td>
                                        <td><input name="anzhi_3" class="form-control" type="text" placeholder=""  value="{{ $table->anzhi_3 }}"></td>
                                        <td><input name="anzhi" value="0" class="form-control" type="text" placeholder="" value="{{ $table->anzhi }}" onclick="get_product_three(anzhi_1,anzhi_2,anzhi_3,this)"></td>
                                        <td>元</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">搬迁费</td>
                                        <td colspan="4"><input name="banqian" value="{{ $table->banqian }}" class="form-control" type="text" placeholder=""></td>
                                        <td>元</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">低保补贴</td>
                                        <td colspan="4"><input name="dibu" value="{{ $table->dibu }}" class="form-control" type="text" placeholder=""></td>
                                        <td>元</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">其他</td>
                                        <td colspan="4"><input name="other" value="{{ $table->other }}" class="form-control" type="text" placeholder=""></td>
                                        <td>元</td>
                                    </tr>
                                    <tr>
                                        <td>补贴总金额</td>
                                        <td colspan="4"><input disabled id="totalj2"  class="form-control" type="text" placeholder="">（元）</td>
                                        <td><input name="totalj" id="totalj1" value="{{ $table->totalj }}" class="form-control" type="text" placeholder="" onclick="add(anzhi,banqian,dibu,other,totalj)"></td>
                                        <td>元</td>
                                    </tr>
                                    <tr>
                                        <td rowspan="2" style="height: 90px;">征收实施单位（章）</td>
                                        <td>被征收人（签字）</td>
                                        <td colspan="2"></td>
                                        <td >代理人（签字）</td>
                                        <td colspan="2"></td>
                                    </tr>
                                    <tr>
                                        <td >签约时间</td>
                                        <td colspan="5"><input readonly id="table_time" name="table_time" class="form-control form_datetime" type="hidden" placeholder=""></td>
                                    </tr>

                                    </tbody>
                                </table>
                                <div class="row">
                                    <div class="col-sm-4">核算（签字）：<input name="hesuan"  style="border: none #ffffff;border-bottom: #777777 solid 1px;" type="text" placeholder=""></div>
                                    <div class="col-sm-4">初审（签字）：<input disabled style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                    <div class="col-sm-4">监审（签字）：<input disabled style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                </div><br>
                                <div class="row">
                                    <div class="col-sm-4">复核（签字）：<input disabled value="{{ $table->fuhe }}" style="display: inline" class="form-control" type="text" placeholder=""></div>
                                    <div class="col-sm-4">初审（签字）：<input style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                    <div class="col-sm-4">监审（签字）：<input style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                </div><br>
                                <div class="row">
                                    <div class="col-sm-8">提交说明 : <label id="sub_description">{{ $table->sub_description }}</label></div>
                                </div>
                            </div>
                        </div>
                    </div>

                        {{--model--}}
                        <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                        <h4 class="modal-title" id="myModalLabel">提交说明</h4>
                                    </div>
                                    <div class="modal-body">
                                        <div class="form-group">
                                            <textarea class="form-control" id="model_des" name="sub_description" placeholder="输入您的内容..."></textarea>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default" data-dismiss="modal">返回</button>
                                        <button id="sub" type="submit" class="btn btn-primary" onclick="javascript:this.form.action='{{ url('/table/sub/'.$table_id) }}'">提交</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {{--end model--}}
                        <div class="row" id="bottom_button">
                            <div class="col-sm-8"></div>
                            <div class="col-sm-4">
                                @if($table->status == null  || $table->status<3)
                                    @if($user->role == 0 && $table->status == 0)
                                        <button id="sub" type="submit" onclick="javascript:this.form.action='{{ url('/table/save/'.$table_id.'/update') }}'" class="btn btn-success">
                                            保存</button>
                                    @endif
                                    @if($user->role == $table->status)
                                        @if($table->status == 0)
                                            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#myModal">提交</button>
                                        @else
                                            <button id="sub" type="submit" onclick="javascript:this.form.action='{{ url('/table/sub/'.$table_id) }}'" class="btn btn-primary">
                                                提交</button>
                                        @endif
                                    @endif
                                    <a href="{{ url('/on_table') }}" class="btn btn-info">返回</a>
                                        <a href="{{ url('/print/'.$table_id) }}"  target="_blank"  class="btn btn-success">打印</a>
                                @else
                                    <a href="{{ url('/') }}" class="btn btn-info">返回</a>
                                    <a href="{{ url('/print/'.$table_id) }}"  target="_blank"  class="btn btn-success">打印</a>
                                @endif
                            </div>
                        </div>
                        </form>

                    <script type="text/javascript">

                        $(function(){
                            var num = $('#totalj1').val();
                            var AA = new Array("零", "壹", "贰", "叁", "肆", "伍", "陆", "柒", "捌", "玖");
                            var BB = new Array("", "拾", "佰", "仟", "萬", "億", "点", "");
                            var a = ("" + num).replace(/(^0*)/g, "").split("."), k = 0, re = "";
                            for (var i = a[0].length - 1; i >= 0; i--) {
                                switch (k) {
                                    case 0: re = BB[7] + re; break;
                                    case 4: if (!new RegExp("0{4}\\d{" + (a[0].length - i - 1) + "}$").test(a[0]))
                                        re = BB[4] + re; break;
                                    case 8: re = BB[5] + re; BB[7] = BB[5]; k = 0; break;
                                }
                                if (k % 4 == 2 && a[0].charAt(i + 2) != 0 && a[0].charAt(i + 1) == 0) re = AA[0] + re;
                                if (a[0].charAt(i) != 0) re = AA[a[0].charAt(i)] + BB[k % 4] + re; k++;
                            }

                            if (a.length > 1) //加上小数部分(如果有小数部分)
                            {
                                re += BB[6];
                                for (var i = 0; i < a[1].length; i++) re += AA[a[1].charAt(i)];
                            }

                            $('#totalj2').val(re);
                        });

                        $(".form_datetime").datetimepicker({
                            language: 'zh',
                            format: 'yyyy年mm月dd日',
                            minView:'month'
                        }).on('changeDate',function(){
                            $(".datetimepicker").hide();
                        });

                        function add(one,two,three,four,add){
                            var  num = 0;
                            num = parseInt($(one).val()) + parseInt($(two).val())+ parseInt($(three).val())+ parseInt($(four).val());

                            $(add).val(num + "");

//                            if (!/^\d*(\.\d*)?$/.test(num)) { alert("Number is wrong!"); return "Number is wrong!"; }
                            var AA = new Array("零", "壹", "贰", "叁", "肆", "伍", "陆", "柒", "捌", "玖");
                            var BB = new Array("", "拾", "佰", "仟", "萬", "億", "点", "");
                            var a = ("" + num).replace(/(^0*)/g, "").split("."), k = 0, re = "";
                            for (var i = a[0].length - 1; i >= 0; i--) {
                                switch (k) {
                                    case 0: re = BB[7] + re; break;
                                    case 4: if (!new RegExp("0{4}\\d{" + (a[0].length - i - 1) + "}$").test(a[0]))
                                        re = BB[4] + re; break;
                                    case 8: re = BB[5] + re; BB[7] = BB[5]; k = 0; break;
                                }
                                if (k % 4 == 2 && a[0].charAt(i + 2) != 0 && a[0].charAt(i + 1) == 0) re = AA[0] + re;
                                if (a[0].charAt(i) != 0) re = AA[a[0].charAt(i)] + BB[k % 4] + re; k++;
                            }

                            if (a.length > 1) //加上小数部分(如果有小数部分)
                            {
                                re += BB[6];
                                for (var i = 0; i < a[1].length; i++) re += AA[a[1].charAt(i)];
                            }

                            $('#totalj2').val(re);
                        }
                        function printed(printpage)
                        {
                            $('#bottom_button').hide();
                            var headstr = "<html><head><title></title></head><body>";
                            var footstr = "</body>";
                            var newstr = document.all.item(printpage).innerHTML;
                            var oldstr = document.body.innerHTML;
                            document.body.innerHTML = headstr+newstr+footstr;
                            window.print();
                            document.body.innerHTML = oldstr;
                            $('#bottom_button').show();
                            return false;
                        }
                    </script>
                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
@endsection