
@extends('layouts.datatable')
    @section('table')

        <link rel="stylesheet" href="{{asset('css/style.css')}}">

        <style>
            table{
                max-width: 100%;
            }
            td{
                word-wrap:break-word;
                word-break:break-all;
            }
        </style>

        <div class="row">
            <div class="col-md-12" id="print">
                <div class="box box-primary">
                    <div class="box-header with-border" style="text-align: center">
                        <h1 class="box-title">成本审计汇总表</h1>
                    </div>
                    <div class="box-body" style="overflow: scroll;height: 600px;">
                        <table class="table table-bordered table-striped" style="width: 3500px;">
                            <thead>
                            {{--<tr>--}}
                                {{--<td colspan="31" style="font-size: 25px; text-align: center">街坊项目拆迁统计表</td>--}}
                            {{--</tr>--}}
                            <tr>
                                @for($i=1;$i<32;$i++)
                                    <td>{{ $i }}</td>
                                @endfor
                            </tr>
                            <tr>
                                <th>合同编号</th>
                                <th>姓名</th>
                                <th>房栋号</th>
                                <th>身份证号</th>
                                <th>联系电话</th>
                                <th>有证面积</th>
                                <th>无证面积</th>
                                <th>房屋补偿金</th>
                                <th>庭院面积</th>
                                <th>庭院补偿</th>
                                <th>装修</th>
                                <th>构筑物及其它</th>
                                <th>停产停业损失补偿（临街路补偿）</th>
                                <th>临时安置</th>
                                <th>搬迁</th>
                                <th>低保</th>
                                <th>全额奖励</th>
                                <th>整栋奖励</th>
                                <th>违章自行拆除费</th>
                                <th>残疾及其它</th>
                                <th>补偿总额</th>
                                <th>回迁套数</th>
                                <th>回迁小区楼栋号</th>
                                <th>回迁住宅面积</th>
                                <th>回迁商铺面积</th>
                                <th>回迁楼房金额</th>
                                <th>应缴差价</th>
                                <th>应退差价</th>
                                <th>签约日期</th>
                                <th>交房日期</th>
                                <th>备注</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($table[1] as $key=>$value)
                                <tr>
                                    <td>{{ $value->num }}</td>
                                    <td>{{ $value->bzc_name }}</td>
                                    <td>{{ $value->bzc_addr }}</td>
                                    <td>{{ $value->bzc_cardid }}</td>
                                    <td>{{ $value->bzc_tel }}</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->total_money }}</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->money_home_jchae }}</td>
                                    <td>{{ $value->money_home_tchae }}</td>
                                    <td>{{ $value->table_time }}</td>
                                    <td></td>
                                    <td>{{ $value->sub_description }}</td>
                                </tr>
                            @endforeach
                            @foreach($table[2] as $key=>$value)
                                <tr>
                                    <td>{{ $value->num }}</td>
                                    <td>{{ $value->bzc_name }}</td>
                                    <td>{{ $value->bzc_addr }}</td>
                                    <td>{{ $value->bzc_cardid }}</td>
                                    <td>{{ $value->bzc_tel }}</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->chaichuje }}</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->table_time }}</td>
                                    <td></td>
                                    <td>{{ $value->sub_description }}</td>
                                </tr>
                            @endforeach
                            @foreach($table[3] as $key=>$value)
                                <tr>
                                    <td>{{ $value->num }}</td>
                                    <td>{{ $value->bzc_name }}</td>
                                    <td>{{ $value->bzc_addr }}</td>
                                    <td>{{ $value->bzc_cardid }}</td>
                                    <td>{{ $value->bzc_tel }}</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->linshibu }}</td>
                                    <td>{{ $value->banqianbu }}</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->canbu }}</td>
                                    <td>{{ $value->total }}</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->table_time }}</td>
                                    <td></td>
                                    <td>{{ $value->sub_description }}</td>
                                </tr>
                            @endforeach
                            @foreach($table[4] as $key=>$value)
                                <tr>
                                    <td>{{ $value->num }}</td>
                                    <td>{{ $value->bzc_name }}</td>
                                    <td>{{ $value->bzc_addr }}</td>
                                    <td>{{ $value->bzc_cardid }}</td>
                                    <td>{{ $value->bzc_tel }}</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->quanj }}</td>
                                    <td>{{ $value->chaj }}</td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->zongj }}</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->table_time }}</td>
                                    <td></td>
                                    <td>{{ $value->sub_description }}</td>
                                </tr>
                            @endforeach
                            @foreach($table[5] as $key=>$value)
                                <tr>
                                    <td>{{ $value->num }}</td>
                                    <td>{{ $value->bzc_name }}</td>
                                    <td>{{ $value->bzc_addr }}</td>
                                    <td>{{ $value->bzc_cardid }}</td>
                                    <td>{{ $value->bzc_tel }}</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->yuqij }}</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->table_time }}</td>
                                    <td></td>
                                    <td>{{ $value->sub_description }}</td>
                                </tr>
                            @endforeach
                            @foreach($table[6] as $key=>$value)
                                <tr>
                                    <td>{{ $value->num }}</td>
                                    <td>{{ $value->bzc_name }}</td>
                                    <td>{{ $value->bzc_addr }}</td>
                                    <td>{{ $value->bzc_cardid }}</td>
                                    <td>{{ $value->bzc_tel }}</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->anzhi }}</td>
                                    <td>{{ $value->banqian }}</td>
                                    <td>{{ $value->dibu }}</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->other }}</td>
                                    <td>{{ $value->total }}</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->table_time }}</td>
                                    <td></td>
                                    <td>{{ $value->sub_description }}</td>
                                </tr>
                            @endforeach
                            @foreach($table[7] as $key=>$value)
                                <tr>
                                    <td>{{ $value->num }}</td>
                                    <td>{{ $value->bzc_name }}</td>
                                    <td>{{ $value->bzc_addr }}</td>
                                    <td>{{ $value->bzc_cardid }}</td>
                                    <td>{{ $value->bzc_tel }}</td>
                                    <td>{{ $value->youzheng_area }}</td>
                                    <td>{{ $value->wuzheng_area }}</td>
                                    <td>{{ $value->fangbu }}</td>
                                    <td></td>
                                    <td>{{ $value->tingyuan }}</td>
                                    <td>{{ $value->zhuangxiu }}</td>
                                    <td>{{ $value->gouzhu }}</td>
                                    <td>{{ $value->tingchan }}</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->chaiqian }}</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->table_time }}</td>
                                    <td></td>
                                    <td>{{ $value->sub_description }}</td>
                                </tr>
                            @endforeach
                            @foreach($table[8] as $key=>$value)
                                <tr>
                                    <td>{{ $value->num }}</td>
                                    <td>{{ $value->bzc_name }}</td>
                                    <td>{{ $value->bzc_addr }}</td>
                                    <td>{{ $value->bzc_cardid }}</td>
                                    <td>{{ $value->bzc_tel }}</td>
                                    <td>{{ $value->youzheng_area }}</td>
                                    <td>{{ $value->wuzheng_area }}</td>
                                    <td>{{ $value->fangbu }}</td>
                                    <td></td>
                                    <td>{{ $value->tingyuan }}</td>
                                    <td>{{ $value->zhuangxiu }}</td>
                                    <td>{{ $value->gouzhu }}</td>
                                    <td>{{ $value->tingchan }}</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->chaiqian }}</td>
                                    <td>{{ $value->hours }}</td>
                                    <td>{{ $value->huiqian_area }}</td>
                                    <td>{{ $value->huiqian_home_area }}</td>
                                    <td>{{ $value->huiqian_shang_area }}</td>
                                    <td>{{ $value->huiqian }}</td>
                                    <td>{{ $value->yingjiao }}</td>
                                    <td>{{ $value->yingtui }}</td>
                                    <td>{{ $value->table_time }}</td>
                                    <td></td>
                                    <td>{{ $value->sub_description }}</td>
                                </tr>
                            @endforeach
                            @foreach($table[9] as $key=>$value)
                                <tr>
                                    <td>{{ $value->num }}</td>
                                    <td>{{ $value->bzc_name }}</td>
                                    <td>{{ $value->bzc_addr }}</td>
                                    <td>{{ $value->bzc_cardid }}</td>
                                    <td>{{ $value->bzc_tel }}</td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->fangbu }}</td>
                                    <td></td>
                                    <td>{{ $value->kongyuan }}</td>
                                    <td></td>
                                    <td>{{ $value->gouzhu }}</td>
                                    <td>{{ $value->tingye }}</td>
                                    <td></td>
                                    <td> </td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->other }}</td>
                                    <td>{{ $value->chaiqian }}</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>{{ $value->table_time }}</td>
                                    <td></td>
                                    <td>{{ $value->sub_description }}</td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <a class="btn btn-success" target="_blank" href="{{ url('/print/10') }}">打印</a>
        {{--<button class="btn btn-success" onclick="printed('print')">打印</button>--}}

        <script>
            function printed(printpage)
            {

                var headstr = "<html><head><title></title></head><body>";
                var footstr = "</body>";
                var newstr = document.all.item(printpage).innerHTML;
                var oldstr = document.body.innerHTML;
                document.body.innerHTML = headstr+newstr+footstr;
                window.print();
                document.body.innerHTML = oldstr;
                return false;
            }
        </script>


    @endsection