@extends('layouts.admin')
@section('content')


    {{--修改表格--}}
@include('admin.table.style')

    <!--左侧菜单栏-->
@include('admin.left-sidebar')
    <!-- 内容 -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                受理案件
                <small> </small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="{{ url('/')}}"><i class="fa fa-dashboard"></i> 主页</a></li>
                <li><a href="#">项目申请</a></li>
                <li><a href="{{ url('/table') }}">受理案件</a></li>
            </ol>
        </section>
        <!-- Main content -->
        <section class="content">
            <!-- Default box -->
            <div class="box">
                <div class="box-header">

                </div>
                <!-- /.box-header -->
                <div class="box-body" id="print">
                    {{--content--}}
                    <div class="row" style="text-align: center">
                        <h3>国有土地上房屋征收与补偿核算单（货币化安置）</h3><br>
                    </div>
                    <form action="" method="post">
                        {{ csrf_field() }}
                        @include('admin.errors')
                    <div id="example2_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
                        <div class="row">
                            <div class="col-sm-2" style="text-align: right;">项目名称：</div>
                            <div class="col-sm-5">
                                <select class="form-control" name="project_name">
                                    <option>请选择项目</option>
                                    @foreach($project as $data)
                                        <option value="{{ $data->project_name }}">{{ $data->project_name }}</option>
                                    @endforeach
                                </select>                            </div>
                            <div class="col-sm-2" style="text-align: right;">编号：</div>
                            <div class="col-sm-2">
                                <input style="margin: 0px;" name="num" class="form-control" type="text" placeholder=" ">
                            </div><br><br>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <table style="border: 1px solid #585858" id="example2" class="table table-bordered">
                                    <tbody>

                                    <tr>
                                        <td>被征收户姓名</td>
                                        <td colspan="3"><input name="bzc_name" class="form-control" type="text" placeholder="必填项"></td>
                                        <td>被征收房屋住址</td>
                                        <td colspan="4"><input name="bzc_addr" class="form-control" type="text" placeholder="必填项"></td>
                                    </tr>
                                    <tr>
                                        <td>联系电话</td>
                                        <td colspan="3"><input name="bzc_tel" class="form-control" type="text" placeholder="必填项(数字)"></td>
                                        <td>被征收人身份证号</td>
                                        <td colspan="4"><input name="bzc_cardid" class="form-control" type="text" placeholder="必填项(数字)"></td>
                                    </tr>
                                    <tr>
                                        <td>产权性质</td>
                                        <td colspan="3"><input name="chanquan" class="form-control" type="text" placeholder="必填项"></td>
                                        <td>用 途</td>
                                        <td colspan="4"><input name="used" class="form-control" type="text" placeholder="必填项"></td>
                                    </tr>
                                    <tr>
                                        <td>证件名称</td>
                                        <td colspan="2">建设用地通知书（批准书）</td>
                                        <td>建设用地规划许可证</td>
                                        <td>建设工程规划许可证</td>
                                        <td colspan="2">国有土地使用证</td>
                                        <td colspan="2">房屋所有权证</td>
                                    </tr>
                                    <tr>
                                        <td>证号</td>
                                        <td colspan="2"><input name="tongzhi_id" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="yongdi_id" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="gongchen_id" class="form-control" type="text" placeholder=""></td>
                                        <td colspan="2"><input name="shiyong_id" class="form-control" type="text" placeholder=""></td>
                                        <td colspan="2"><input name="suoyou_id" class="form-control" type="text" placeholder=""></td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">被征收房屋面积</td>
                                        <td rowspan="2">可置换住宅面积（㎡）</td>
                                        <td rowspan="2">可置换商业面积（㎡）</td>
                                        <td rowspan="2" >单价（元/㎡）</td>
                                        <td  colspan="3" rowspan="2" >房务补偿额（元）</td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td>面积</td>
                                        <td>转换系数</td>
                                    </tr>
                                    <tr>
                                        <td>住宅有证面积：</td>
                                        <td><input name="data1_1" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data1_2" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="bzc_area" value="0" class="form-control" type="text" placeholder="" onclick="get_area_product(data1_1,data1_2,this)"></td>
                                        <td><input name="data2" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data3" class="form-control" type="text" placeholder=""></td>
                                        <td  colspan="3"><input name="data4" value="0" class="form-control" type="text" placeholder="" onclick="get_product(bzc_area,data3,this)"></td>
                                    </tr>
                                    <tr>
                                        <td >无证面积：</td>
                                        <td ><input name="data1_3" class="form-control" type="text" placeholder=""></td>
                                        <td ><input name="data1_4" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data5" value="0" class="form-control" type="text" placeholder="" onclick="get_area_product(data1_3,data1_4,this)"></td>
                                        <td><input name="data6" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data7" class="form-control" type="text" placeholder=""></td>
                                        <td  colspan="3"><input name="data8" value="0" class="form-control" type="text" placeholder="" onclick="get_product(data5,data7,this)"></td>
                                    </tr>
                                    <tr>
                                        <td >其中住改非：</td>
                                        <td ><input name="data1_5" class="form-control" type="text" placeholder=""></td>
                                        <td ><input name="data1_6" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data9" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data10" value="0" class="form-control" type="text" placeholder="" onclick="get_area_product(data1_5,data1_6,this)"></td>
                                        <td><input name="data11" class="form-control" type="text" placeholder=""></td>
                                        <td  colspan="3"><input name="data12" value="0" class="form-control" type="text" placeholder="" onclick="get_product(data10,data11,this)"></td>
                                    </tr>
                                    <tr>
                                        <td >商业有证面积：</td>
                                        <td ><input name="data1_7" class="form-control" type="text" placeholder=""></td>
                                        <td ><input name="data1_8" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data13" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data14" value="0" class="form-control" type="text" placeholder="" onclick="get_area_product(data1_7,data1_8,this)"></td>
                                        <td><input name="data15" class="form-control" type="text" placeholder=""></td>
                                        <td  colspan="3"><input name="data16" value="0" class="form-control" type="text" placeholder="" onclick="get_product(data14,data15,this)"></td>
                                    </tr>
                                    <tr>
                                        <td ><input name="data_other" class="form-control" type="text" placeholder=""></td>
                                        <td ><input name="data1_9" class="form-control" type="text" placeholder=""></td>
                                        <td ><input name="data1_10" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data17" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data18" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data19" class="form-control" type="text" placeholder=""></td>
                                        <td  colspan="3"><input name="data20" value="0" class="form-control" type="text" placeholder="" onclick="get_product_three(data17,data18,data19,this)"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">小 计：</td>
                                        <td><input name="data21" class="form-control" type="text" placeholder="" onclick="add_area(bzc_area,data5,data17,this)"></td>
                                        <td><input name="data22" class="form-control" type="text" placeholder="" onclick="add_area(data10,data14,data18,this)"></td>
                                        <td><input name="data23" class="form-control" type="text" placeholder=""></td>
                                        <td  colspan="3"><input name="data24" class="form-control" type="text" placeholder="" value="0" onclick="added(data4,data8,data12,data16,data20,this)"></td>
                                    </tr>
                                    <tr>
                                        <td>装修补偿额</td>
                                        <td colspan="5"><textarea name="data40" class="form-control" type="text" ></textarea></td>
                                        <td colspan="3"><input name="data25" class="form-control" type="text" placeholder="小写" ></td>
                                    </tr>
                                    <tr>
                                        <td>庭院补偿额</td>
                                        <td>总面积</td>
                                        <td><input name="all_area" class="form-control" type="text" placeholder=""></td>
                                        <td colspan="3"><textarea name="data41" class="form-control" type="text" ></textarea></td>
                                        <td  colspan="3"><input name="data26" class="form-control" type="text" placeholder="小写" ></td>
                                    </tr>
                                    <tr>
                                        <td>停产停业损失补偿额</td>
                                        <td colspan="5"><textarea name="data42" class="form-control" type="text" ></textarea></td>
                                        <td  colspan="3"><input name="data27" class="form-control" type="text" placeholder="小写" ></td>
                                    </tr>
                                    <tr>
                                        <td rowspan="6">构筑物及其他补偿金</td>
                                        <td>名称</td>
                                        <td>金额</td>
                                        <td>名称</td>
                                        <td>金额</td>
                                        <td>名称</td>
                                        <td>金额</td>
                                        <td>名称</td>
                                        <td>金额</td>
                                    </tr>
                                    <tr>
                                        <td><input name="data28" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data29" class="form-control sum" type="text" placeholder=""></td>
                                        <td><input name="data30" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data30_1" class="form-control sum" type="text" placeholder=""></td>
                                        <td><input name="data30_2" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data30_3" class="form-control sum" type="text" placeholder=""></td>
                                        <td><input name="data30_4" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data30_5" class="form-control sum" type="text" placeholder=""></td>
                                    </tr>
                                    <tr>
                                        <td><input name="data31" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data32" class="form-control sum" type="text" placeholder=""></td>
                                        <td><input name="data33" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data33_1" class="form-control sum" type="text" placeholder=""></td>
                                        <td><input name="data33_2" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data33_3" class="form-control sum" type="text" placeholder=""></td>
                                        <td><input name="data33_4" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data33_5" class="form-control sum" type="text" placeholder=""></td>
                                    </tr>
                                    <tr>
                                        <td><input name="data34" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data35" class="form-control sum" type="text" placeholder=""></td>
                                        <td><input name="data36" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data36_1" class="form-control sum" type="text" placeholder=""></td>
                                        <td><input name="data36_2" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data36_3" class="form-control sum" type="text" placeholder=""></td>
                                        <td><input name="data36_4" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data36_5" class="form-control sum" type="text" placeholder=""></td>
                                    </tr>
                                    <tr>
                                        <td ><input name="data37" class="form-control" type="text" placeholder=""></td>
                                        <td ><input name="data38" class="form-control sum" type="text" placeholder=""></td>
                                        <td><input name="data39" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data39_1" class="form-control sum" type="text" placeholder=""></td>
                                        <td><input name="data39_2" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data39_3" class="form-control sum" type="text" placeholder=""></td>
                                        <td><input name="data39_4" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data39_5" class="form-control sum" type="text" placeholder=""></td>
                                    </tr>
                                    <tr>
                                        <td ><input name="data39_6" class="form-control" type="text" placeholder=""></td>
                                        <td ><input name="data39_7" class="form-control sum" type="text" placeholder=""></td>
                                        <td><input name="data39_8" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data39_9" class="form-control sum" type="text" placeholder=""></td>
                                        <td><input name="data39_10" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="data39_11" class="form-control sum" type="text" placeholder=""></td>
                                        <td>合计 ： </td>
                                        <td><input name="data39_13" class="form-control" value="0" type="text" placeholder="" onclick="sum(data39_13)"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">拆迁补偿总金额</td>
                                        <td colspan="5"><input disabled id="data431" class="form-control" type="text" placeholder="大写">（元）</td>
                                        <td colspan="2"><input name="data43" value="0" class="form-control" type="text" placeholder="小写" onclick="get_change(data24,data25,data26,data27,data39_13,this)">（元）</td>
                                    </tr>
                                    <tr>
                                        <td rowspan="2" colspan="2" style="height:90px;">征收实施单位（章）<br></td>
                                        <td >被征收人（签字）</td>
                                        <td colspan="2"> </td>
                                        <td >代理人（签字） </td>
                                        <td colspan="3"> </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">签约时间</td>
                                        <td colspan="6"><input readonly id="table_time" name="table_time" class="form-control form_datetime" type="hidden" placeholder=""></td>
                                    </tr>
                                    </tbody>
                                </table>
                                <div class="row">
                                    <div class="col-sm-4">核算（签字）：<input   name="hesuan"  style="border: none #ffffff;border-bottom: #777777 solid 1px;" type="text" placeholder=""></div>
                                    <div class="col-sm-4">初审（签字）：<input disabled style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                    <div class="col-sm-4">监审（签字）：<input disabled style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                </div><br>
                                <div class="row">
                                    <div class="col-sm-4">复核（签字）：<input   name="fuhe" style="border: none #ffffff;border-bottom: #777777 solid 1px;" type="text" placeholder=""></div>
                                    <div class="col-sm-4">初审（签字）：<input   style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                    <div class="col-sm-4">监审（签字）：<input   style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                </div><br>
                            </div>
                        </div>
                        <div class="row" id="bottom_button">
                            <div class="col-sm-8">
                            </div>
                            <div class="col-sm-4">
                                @if($user->role == 0)
                                    <button id="sub" type="submit" onclick="javascript:this.form.action='{{ url('/table/save/'.$table_type_id) }}'" class="btn btn-success">
                                        保存</button>
                                    <!-- Button trigger modal -->
                                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#myModal">提交</button>
                                @endif
                                <a href="{{ url('/table') }}" class="btn btn-info">返回</a>
                            </div>
                        </div>
                    </div>
                        {{--model--}}
                        <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                        <h4 class="modal-title" id="myModalLabel">提交说明</h4>
                                    </div>
                                    <div class="modal-body">
                                        <div class="form-group">
                                            <textarea class="form-control" id="model_des" name="sub_description" placeholder="输入您的内容..."></textarea>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default" data-dismiss="modal">返回</button>
                                        <button id="sub" type="submit" class="btn btn-primary" onclick="javascript:this.form.action='{{ url('/table/sub/'.$table_type_id.'/create') }}'">提交</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {{--end model--}}
                        </form>
                    <script type="text/javascript">
                        $(".form_datetime").datetimepicker({
                            language: 'zh',
                            format: 'yyyy年mm月dd日',
                            minView:'month'
                        }).on('changeDate',function(){
                            $(".datetimepicker").hide();
                        });

                        function sum(result){
                            var sum = 0;
                            $(".sum").each(function(){
                                if (this.value == '') this.value = 0;
                                sum  += parseInt(this.value);
                            });
                            result.value = sum;
                        }

                        function get_product_three(left,right,three,product){
                            var result = (left.value*right.value*three.value);
                            product.value = result.toFixed(0);
                        }
                        function get_product(left,right,product){
                            var result = (left.value*right.value);
                            product.value = result.toFixed(0);
                        }
                        function get_area_product(left,right,product){
                            var result = (left.value*right.value);
                            product.value = result.toFixed(2);
                        }
                        function add(one,two,three,add) {
                            if ($(one).val() == ''){$(one).val(0);}
                            if ($(two).val() == ''){$(two).val(0);}
                            if ($(three).val() == ''){$(three).val(0);}
                            add.value= parseInt($(one).val()) + parseInt($(two).val()) + parseInt($(three).val());
                        }
                        function add_area(one,two,three,add) {
                            var result;
                            if ($(one).val() == ''){$(one).val(0);}
                            if ($(two).val() == ''){$(two).val(0);}
                            if ($(three).val() == ''){$(three).val(0);}
                            result= parseFloat($(one).val()) + parseFloat($(two).val()) + parseFloat($(three).val());
                            add.value = result.toFixed(2);
                        }
                        function adde(one,two,three,four,add) {
                            if ($(one).val() == ''){$(one).val(0);}
                            if ($(two).val() == ''){$(two).val(0);}
                            if ($(three).val() == ''){$(three).val(0);}
                            if ($(four).val() == ''){$(four).val(0);}
                            add.value= parseInt($(one).val()) + parseInt($(two).val()) + parseInt($(three).val()) + parseInt($(four).val());
                        }
                        function added(one,two,three,four,five,add) {
                            if ($(one).val() == ''){$(one).val(0);}
                            if ($(two).val() == ''){$(two).val(0);}
                            if ($(three).val() == ''){$(three).val(0);}
                            if ($(four).val() == ''){$(four).val(0);}
                            if ($(five).val() == ''){$(five).val(0);}
                            add.value= parseInt($(one).val()) + parseInt($(two).val()) + parseInt($(three).val()) + parseInt($(four).val()) + parseInt($(five).val());
                        }

                        function NoToChinese(num,to) {
                            if (!/^\d*(\.\d*)?$/.test(num)) { alert("Number is wrong!"); return "Number is wrong!"; }
                            var AA = new Array("零", "壹", "贰", "叁", "肆", "伍", "陆", "柒", "捌", "玖");
                            var BB = new Array("", "拾", "佰", "仟", "萬", "億", "点", "");
                            var a = ("" + num).replace(/(^0*)/g, "").split("."), k = 0, re = "";
                            for (var i = a[0].length - 1; i >= 0; i--) {
                                switch (k) {
                                    case 0: re = BB[7] + re; break;
                                    case 4: if (!new RegExp("0{4}\\d{" + (a[0].length - i - 1) + "}$").test(a[0]))
                                        re = BB[4] + re; break;
                                    case 8: re = BB[5] + re; BB[7] = BB[5]; k = 0; break;
                                }
                                if (k % 4 == 2 && a[0].charAt(i + 2) != 0 && a[0].charAt(i + 1) == 0) re = AA[0] + re;
                                if (a[0].charAt(i) != 0) re = AA[a[0].charAt(i)] + BB[k % 4] + re; k++;
                            }

                            if (a.length > 1) //加上小数部分(如果有小数部分)
                            {
                                re += BB[6];
                                for (var i = 0; i < a[1].length; i++) re += AA[a[1].charAt(i)];
                            }

                            $(to).val(re);
                        }

                        function get_change(one,two,three,four,five,add){
                            if ($(one).val() == ''){$(one).val(0);}
                            if ($(two).val() == ''){$(two).val(0);}
                            if ($(three).val() == ''){$(three).val(0);}
                            if ($(four).val() == ''){$(four).val(0);}
                            if ($(five).val() == ''){$(five).val(0);}
                            var  num = 0;
                            num = parseInt($(one).val()) + parseInt($(two).val())+ parseInt($(three).val())+ parseInt($(four).val())+ parseInt($(five).val());

                            $(add).val(num);

//                            if (!/^\d*(\.\d*)?$/.test(num)) { alert("Number is wrong!"); return "Number is wrong!"; }
                            var AA = new Array("零", "壹", "贰", "叁", "肆", "伍", "陆", "柒", "捌", "玖");
                            var BB = new Array("", "拾", "佰", "仟", "萬", "億", "点", "");
                            var a = ("" + num).replace(/(^0*)/g, "").split("."), k = 0, re = "";
                            for (var i = a[0].length - 1; i >= 0; i--) {
                                switch (k) {
                                    case 0: re = BB[7] + re; break;
                                    case 4: if (!new RegExp("0{4}\\d{" + (a[0].length - i - 1) + "}$").test(a[0]))
                                        re = BB[4] + re; break;
                                    case 8: re = BB[5] + re; BB[7] = BB[5]; k = 0; break;
                                }
                                if (k % 4 == 2 && a[0].charAt(i + 2) != 0 && a[0].charAt(i + 1) == 0) re = AA[0] + re;
                                if (a[0].charAt(i) != 0) re = AA[a[0].charAt(i)] + BB[k % 4] + re; k++;
                            }

                            if (a.length > 1) //加上小数部分(如果有小数部分)
                            {
                                re += BB[6];
                                for (var i = 0; i < a[1].length; i++) re += AA[a[1].charAt(i)];
                            }

                            $('#data431').val(re);
                        }
                        function printed(printpage){
                            $('#bottom_button').hide();
                            var headstr = "<html><head><title></title></head><body>";
                            var footstr = "</body>";
                            var newstr = document.all.item(printpage).innerHTML;
                            var oldstr = document.body.innerHTML;
                            document.body.innerHTML = headstr+newstr+footstr;
                            window.print();
                            document.body.innerHTML = oldstr;
                            $('#bottom_button').show();

                            return false;
                        }
                    </script>
                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->

        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
@endsection