@extends('layouts.admin')
@section('content')


    {{--修改表格--}}
@include('admin.table.style')

    <!--左侧菜单栏-->
@include('admin.left-sidebar')
    <!-- 内容 -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                受理案件
                <small> </small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="{{ url('/')}}"><i class="fa fa-dashboard"></i> 主页</a></li>
                <li><a href="#">项目申请</a></li>
                <li><a href="{{ url('/table') }}">受理案件</a></li>
            </ol>
        </section>
        <!-- Main content -->
        <section class="content">
            <!-- Default box -->
            <div class="box">
                <div class="box-header">

                </div>
                <!-- /.box-header -->
                <div class="box-body" id="print">
                    {{--content--}}
                    <div class="row" style="text-align: center">
                        <h3>违章建筑自行拆除费用申领表</h3><br>
                    </div>
                    <form action="" method="post">
                        {{ csrf_field() }}
                        @include('admin.errors')
                    <div id="example2_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
                        <div class="row">
                            <div class="col-sm-2" style="text-align: right;">项目名称：</div>
                            <div class="col-sm-5">
                                <select class="form-control" name="project_name">
                                    <option>请选择项目</option>
                                    @foreach($project as $data)
                                        <option value="{{ $data->project_name }}">{{ $data->project_name }}</option>
                                    @endforeach
                                </select>                            </div>
                            <div class="col-sm-2" style="text-align: right;">编号：</div>
                            <div class="col-sm-2">
                                <input style="margin: 0px;" name="num" class="form-control" type="text" placeholder=" ">
                            </div><br><br>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <table style="border: 1px solid #585858" id="example2" class="table table-bordered">
                                    <tbody>
                                    <tr>
                                        <td style="width: 16%;padding: 0"></td>
                                        <td style="width: 16%;padding: 0"></td>
                                        <td style="width: 16%;padding: 0"></td>
                                        <td style="width: 16%;padding: 0"></td>
                                        <td style="width: 16%;padding: 0"></td>
                                        <td style="width: 16%;padding: 0"></td>
                                    </tr>
                                    <tr>
                                        <td>姓 名</td>
                                        <td colspan="2">身份证号码</td>
                                        <td>电 话</td>
                                        <td colspan="2">违章建筑地址</td>
                                    </tr>
                                    <tr>
                                        <td><input name="bzc_name" class="form-control" type="text" placeholder="必填项" value=""></td>
                                        <td colspan="2"><input name="bzc_cardid" class="form-control" type="text" placeholder="必填项(数字)" value=""></td>
                                        <td><input name="bzc_tel" class="form-control" type="text" placeholder="必填项(数字)" value=""></td>
                                        <td colspan="2"><input name="bzc_addr" class="form-control" type="text" placeholder="必填项" value=""></td>
                                    </tr>

                                    <tr>
                                        <td rowspan="6">计算明细</td>
                                        <td>面积</td>
                                        <td>单价</td>
                                        <td>金额</td>
                                        <td colspan="2">总金额</td>
                                        <textarea hidden name="jisuanmx"  style="width: 95%;height: 250px;" placeholder="计算明细："></textarea>
                                    </tr>
                                    <tr>
                                        <td><input class="form-control" name="data1"></td>
                                        <td><input class="form-control" name="data2"></td>
                                        <td><input class="form-control sum" name="data3" value="0" onclick="get_product(data1,data2,this)"></td>
                                        <td rowspan="5">合计</td>
                                        <td rowspan="5"><input class="form-control" name="data4" value="0" onclick="sum(this)"></td>
                                    </tr>
                                    <tr>
                                        <td><input class="form-control" name="data5"></td>
                                        <td><input class="form-control" name="data6"></td>
                                        <td><input class="form-control sum" name="data7" value="0" onclick="get_product(data5,data6,this)"></td>
                                    </tr>
                                    <tr>
                                        <td><input class="form-control" name="data8"></td>
                                        <td><input class="form-control" name="data9"></td>
                                        <td><input class="form-control sum" name="data10" value="0" onclick="get_product(data8,data9,this)"></td>
                                    </tr>
                                    <tr>
                                        <td><input class="form-control" name="data11"></td>
                                        <td><input class="form-control" name="data12"></td>
                                        <td><input class="form-control sum" name="data13" value="0" onclick="get_product(data11,data12,this)"></td>
                                    </tr>
                                    <tr>
                                        <td><input class="form-control" name="data14"></td>
                                        <td><input class="form-control" name="data15"></td>
                                        <td><input class="form-control sum" name="data16" value="0" onclick="get_product(data14,data15,this)"></td>
                                    </tr>

                                    <tr>
                                        <td>违章面积（㎡）</td>
                                        <td><input name="bzc_area" class="form-control" type="text" placeholder="" value=""></td>
                                        <td>拆除费金额</td>
                                        <td colspan="2"><input disabled id="chaichuje" class="form-control" type="text" placeholder="大写"></td>
                                        <td><input name="chaichuje" id="money" class="form-control" type="text" placeholder="小写" onclick="NoToChinese(this.value)"></td>
                                    </tr>

                                    <tr>
                                        <td colspan="3" style="height: 80px;">违章建筑自拆费用申取人（签字）：</td>
                                        <td><input name="zichaiqz" class="form-control" type="hidden" placeholder=""></td>
                                        <td colspan="2">  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;年 &nbsp;&nbsp;&nbsp;&nbsp;月 &nbsp;&nbsp;&nbsp;&nbsp;日
                                            <input readonly id="table_time" name="table_time" class="form-control timepicker" type="hidden" placeholder="" value="">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3" style="height: 100px;;text-align: left;vertical-align: text-top;padding: 5px;">
                                            <p>工作小组执法人员全体（签字）：</p>
                                            <p style="margin-top: 10%;text-align: center"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;年 &nbsp;&nbsp;&nbsp;&nbsp;月 &nbsp;&nbsp;&nbsp;&nbsp;日</p>
                                        </td>
                                        <td colspan="3" style="text-align: left;vertical-align: text-top;padding: 5px;">
                                            <p>区征拆局工作人员（签字）：</p>
                                            <p style="margin-top: 10%;text-align: center"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;年 &nbsp;&nbsp;&nbsp;&nbsp;月 &nbsp;&nbsp;&nbsp;&nbsp;日</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3" style="text-align: left;vertical-align: text-top;padding: 5px;">
                                            <p>工作小组组长（签字）：</p>
                                            <p style="margin-top: 10%;text-align: center"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;年 &nbsp;&nbsp;&nbsp;&nbsp;月 &nbsp;&nbsp;&nbsp;&nbsp;日</p>
                                        </td>
                                        <td colspan="3" style="text-align: left;vertical-align: text-top;padding: 5px;">
                                            <p>督查专员（签字）：</p>
                                            <p style="margin-top: 10%;text-align: center"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;年 &nbsp;&nbsp;&nbsp;&nbsp;月 &nbsp;&nbsp;&nbsp;&nbsp;日</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3" style="text-align: left;vertical-align: text-top;padding: 5px;">
                                            <p>工作组负责人（签字）：</p>
                                            <p style="margin-top: 10%;text-align: center"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;年 &nbsp;&nbsp;&nbsp;&nbsp;月 &nbsp;&nbsp;&nbsp;&nbsp;日</p>
                                        </td>
                                        <td colspan="3" style="text-align: left;vertical-align: text-top;padding: 5px;">
                                            <p>分管领导（签字）：</p>
                                            <p style="margin-top: 10%;text-align: center"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;年 &nbsp;&nbsp;&nbsp;&nbsp;月 &nbsp;&nbsp;&nbsp;&nbsp;日</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">工作组意见，经我们核实，该违章户已按要求自行完成违章建筑的拆除，同意<input name="ok" style="border: none #ffffff;border-bottom: #777777 solid 1px;" type="text" placeholder="">发放自行拆除费用
                                            <p style="margin-top: 10%;text-align: center"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;年 &nbsp;&nbsp;&nbsp;&nbsp;月 &nbsp;&nbsp;&nbsp;&nbsp;日</p>
                                        </td>
                                        <td colspan="3" style="text-align: left;vertical-align: text-top;padding: 10px;">
                                            <p>财务负责人（签字）：</p>
                                            <p style="margin-top: 10%;text-align: center"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;年 &nbsp;&nbsp;&nbsp;&nbsp;月 &nbsp;&nbsp;&nbsp;&nbsp;日</p>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                                <div class="row">
                                    <div class="col-sm-4">核算：<input   name="hesuan"  style="border: none #ffffff;border-bottom: #777777 solid 1px;" type="text" placeholder=""></div>
                                    <div class="col-sm-4">初审：<input disabled style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                    <div class="col-sm-4">监审：<input disabled style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                </div><br>
                                <div class="row">
                                    <div class="col-sm-4">复核：<input   name="fuhe" style="border: none #ffffff;border-bottom: #777777 solid 1px;" type="text"></div>
                                    <div class="col-sm-4">初审：<input   style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                    <div class="col-sm-4">监审：<input   style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                </div><br>
                            </div>
                        </div>
                        <div class="row" id="bottom_button">
                            <div class="col-sm-8">
                            </div>
                            <div class="col-sm-4">
                                @if($user->role == 0)
                                    <button id="sub" type="submit" onclick="javascript:this.form.action='{{ url('/table/save/'.$table_type_id) }}'" class="btn btn-success">
                                        保存</button>
                                    <!-- Button trigger modal -->
                                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#myModal">提交</button>
                                @endif
                                <a href="{{ url('/table') }}" class="btn btn-info">返回</a>
                            </div>
                        </div>
                    </div>

                        {{--model--}}
                        <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                        <h4 class="modal-title" id="myModalLabel">提交说明</h4>
                                    </div>
                                    <div class="modal-body">
                                        <div class="form-group">
                                            <textarea class="form-control" id="model_des" name="sub_description" placeholder="输入您的内容..."></textarea>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default" data-dismiss="modal">返回</button>
                                        <button id="sub" type="submit" class="btn btn-primary" onclick="javascript:this.form.action='{{ url('/table/sub/'.$table_type_id.'/create') }}'">提交</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {{--end model--}}

                        </form>
                    <script type="text/javascript">
                        $(".timepicker").datetimepicker({
                            language: 'zh',
                            format: 'yyyy年mm月dd日',
                            minView:'month'
                        }).on('changeDate',function(){
                            $(".datetimepicker").hide();
                        });

                        function get_product(left,right,product){
                            var result = (left.value*right.value);
                            product.value = result.toFixed(0);
                        }
                        function sum(result){
                            var sum = 0;
                            $(".sum").each(function(){
                                if (this.value == '') this.value = 0;
                                sum  += parseInt(this.value);
                            });
                            result.value = sum;
                            $('#money').val(sum);
                            NoToChinese(sum);
                        }

                        function NoToChinese(num) {
                            if (!/^\d*(\.\d*)?$/.test(num)) { alert("Number is wrong!"); return "Number is wrong!"; }
                            var AA = new Array("零", "壹", "贰", "叁", "肆", "伍", "陆", "柒", "捌", "玖");
                            var BB = new Array("", "拾", "佰", "仟", "萬", "億", "点", "");
                            var a = ("" + num).replace(/(^0*)/g, "").split("."), k = 0, re = "";
                            for (var i = a[0].length - 1; i >= 0; i--) {
                                switch (k) {
                                    case 0: re = BB[7] + re; break;
                                    case 4: if (!new RegExp("0{4}\\d{" + (a[0].length - i - 1) + "}$").test(a[0]))
                                        re = BB[4] + re; break;
                                    case 8: re = BB[5] + re; BB[7] = BB[5]; k = 0; break;
                                }
                                if (k % 4 == 2 && a[0].charAt(i + 2) != 0 && a[0].charAt(i + 1) == 0) re = AA[0] + re;
                                if (a[0].charAt(i) != 0) re = AA[a[0].charAt(i)] + BB[k % 4] + re; k++;
                            }

                            if (a.length > 1) //加上小数部分(如果有小数部分)
                            {
                                re += BB[6];
                                for (var i = 0; i < a[1].length; i++) re += AA[a[1].charAt(i)];
                            }

                            $('#chaichuje').val(re);
                        }
                        function printed(printpage){
                            $('#bottom_button').hide();
                            var headstr = "<html><head><title></title></head><body>";
                            var footstr = "</body>";
                            var newstr = document.all.item(printpage).innerHTML;
                            var oldstr = document.body.innerHTML;
                            document.body.innerHTML = headstr+newstr+footstr;
                            window.print();
                            document.body.innerHTML = oldstr;
                            $('#bottom_button').show();

                            return false;
                        }
                    </script>
                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->

        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
@endsection