@extends('layouts.admin')
@section('content')


    {{--修改表格--}}
@include('admin.table.style')

    <!--左侧菜单栏-->
@include('admin.left-sidebar')
    <!-- 内容 -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                受理案件
                <small> </small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="{{ url('/')}}"><i class="fa fa-dashboard"></i> 主页</a></li>
                <li><a href="#">项目申请</a></li>
                <li><a href="{{ url('/table') }}">受理案件</a></li>
            </ol>
        </section>
        <!-- Main content -->
        <section class="content">
            <!-- Default box -->
            <div class="box">
                <div class="box-header">

                </div>
                <!-- /.box-header -->
                <div class="box-body" id="print">
                    {{--content--}}
                    <div class="row" style="text-align: center">
                        <h3>海勃湾区房屋征收提前搬迁奖励单</h3><br>
                    </div>
                    <form action="" method="post">
                        {{ csrf_field() }}
                        @include('admin.errors')
                    <div id="example2_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
                        <div class="row">
                            <div class="col-sm-2" style="text-align: right;">项目名称：</div>
                            <div class="col-sm-5">
                                <select class="form-control" name="project_name">
                                    <option>请选择项目</option>
                                    @foreach($project as $data)
                                        <option value="{{ $data->project_name }}">{{ $data->project_name }}</option>
                                    @endforeach
                                </select>                            </div>
                            <div class="col-sm-2" style="text-align: right;">编号：</div>
                            <div class="col-sm-2">
                                <input style="margin: 0px;" name="num" class="form-control" type="text" placeholder=" ">
                            </div><br><br>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <table style="border: 1px solid #585858" id="example2" class="table table-bordered">
                                    <tbody>

                                    <tr>
                                        <td>被征收户姓名</td>
                                        <td><input name="bzc_name" class="form-control" type="text" placeholder="必填项"></td>
                                        <td>被征收房屋住址</td>
                                        <td colspan="2"><input name="bzc_addr" class="form-control" type="text" placeholder="必填项"></td>
                                    </tr>
                                    <tr>
                                        <td>联系电话</td>
                                        <td><input name="bzc_tel" class="form-control" type="text" placeholder="必填项(数字)"></td>
                                        <td>身份证号</td>
                                        <td colspan="2"><input name="bzc_cardid" class="form-control" type="text" placeholder="必填项(数字)"></td>
                                    </tr>
                                    <tr>
                                        <td rowspan="3">奖励类别</td>
                                        <td>全额奖励</td>
                                        <td colspan="3"><input name="quanj" class="form-control" type="text" placeholder="" value="0">(元)</td>
                                    </tr>
                                    <tr>
                                        <td>整栋奖励金</td>
                                        <td colspan="3"><input name="chaj" class="form-control" type="text" placeholder="" value="0">(元)</td>
                                    </tr>
                                    <tr>
                                        <td><input name="jine" class="form-control" type="text" placeholder=""></td>
                                        <td colspan="3"><input name="tongj" class="form-control" type="text" placeholder="" value="0">(元)</td>
                                    </tr>
                                    <tr>
                                        <td>奖励总金额</td>
                                        <td colspan="3"><input disabled id="zongj1" class="form-control" type="text" placeholder="大写">(元)</td>
                                        <td colspan="2"><input name="zongj" value="0" class="form-control" type="text" placeholder="小写" onclick="add(quanj,chaj,tongj,zongj)"></td>
                                    </tr>
                                    <tr>
                                        <td rowspan="2" style="height: 120px;">征收实施单位（章）</td>
                                        <td>被征收人（签字）</td>
                                        <td> </td>
                                        <td >代理人（签字）</td>
                                        <td> </td>
                                    </tr>
                                    <tr>
                                        <td>签约时间</td>
                                        <td colspan="3"><input readonly id="table_time" name="table_time" class="form-control form_datetime" type="hidden" placeholder=""></td>
                                    </tr>
                                    </tbody>
                                </table>
                                <div class="row">
                                    <div class="col-sm-4">核算（签字）：<input   name="hesuan"  style="border: none #ffffff;border-bottom: #777777 solid 1px;" type="text" placeholder=""></div>
                                    <div class="col-sm-4">初审（签字）：<input disabled style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                    <div class="col-sm-4">监审（签字）：<input disabled style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                </div><br>
                                <div class="row">
                                    <div class="col-sm-4">复核（签字）：<input   name="fuhe" style="border: none #ffffff;border-bottom: #777777 solid 1px;" type="text" placeholder=""></div>
                                    <div class="col-sm-4">初审（签字）：<input   style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                    <div class="col-sm-4">监审（签字）：<input   style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                </div><br>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-8">
                            </div>
                            <div class="col-sm-4" id="bottom_button">
                                @if($user->role == 0)
                                    <button id="sub" type="submit" onclick="javascript:this.form.action='{{ url('/table/save/'.$table_type_id) }}'" class="btn btn-success">
                                        保存</button>
                                    <!-- Button trigger modal -->
                                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#myModal">提交</button>
                                @endif
                                <a href="{{ url('/table') }}" class="btn btn-info">返回</a>
                            </div>
                        </div>
                    </div>
                        {{--model--}}
                        <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                        <h4 class="modal-title" id="myModalLabel">提交说明</h4>
                                    </div>
                                    <div class="modal-body">
                                        <div class="form-group">
                                            <textarea class="form-control" id="model_des" name="sub_description" placeholder="输入您的内容..."></textarea>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default" data-dismiss="modal">返回</button>
                                        <button id="sub" type="submit" class="btn btn-primary" onclick="javascript:this.form.action='{{ url('/table/sub/'.$table_type_id.'/create') }}'">提交</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {{--end model--}}
                        </form>
                    <script type="text/javascript">
                        $(".form_datetime").datetimepicker({
                            language: 'zh',
                            format: 'yyyy年mm月dd日',
                            minView:'month'
                        }).on('changeDate',function(){
                            $(".datetimepicker").hide();
                        });

                        function add(one,two,three,add){
                            var num = parseInt($(one).val()) + parseInt($(two).val())+ parseInt($(three).val());

                            $(add).val(num + "");

                            if (!/^\d*(\.\d*)?$/.test(num)) { alert("Number is wrong!"); return "Number is wrong!"; }
                            var AA = new Array("零", "壹", "贰", "叁", "肆", "伍", "陆", "柒", "捌", "玖");
                            var BB = new Array("", "拾", "佰", "仟", "萬", "億", "点", "");
                            var a = ("" + num).replace(/(^0*)/g, "").split("."), k = 0, re = "";
                            for (var i = a[0].length - 1; i >= 0; i--) {
                                switch (k) {
                                    case 0: re = BB[7] + re; break;
                                    case 4: if (!new RegExp("0{4}\\d{" + (a[0].length - i - 1) + "}$").test(a[0]))
                                        re = BB[4] + re; break;
                                    case 8: re = BB[5] + re; BB[7] = BB[5]; k = 0; break;
                                }
                                if (k % 4 == 2 && a[0].charAt(i + 2) != 0 && a[0].charAt(i + 1) == 0) re = AA[0] + re;
                                if (a[0].charAt(i) != 0) re = AA[a[0].charAt(i)] + BB[k % 4] + re; k++;
                            }

                            if (a.length > 1) //加上小数部分(如果有小数部分)
                            {
                                re += BB[6];
                                for (var i = 0; i < a[1].length; i++) re += AA[a[1].charAt(i)];
                            }

                            $('#zongj1').val(re);
                        }
                        function printed(printpage){
                            $('#bottom_button').hide();
                            var headstr = "<html><head><title></title></head><body>";
                            var footstr = "</body>";
                            var newstr = document.all.item(printpage).innerHTML;
                            var oldstr = document.body.innerHTML;
                            document.body.innerHTML = headstr+newstr+footstr;
                            window.print();
                            document.body.innerHTML = oldstr;
                            $('#bottom_button').show();

                            return false;
                        }
                    </script>
                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->

        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
@endsection