@extends('layouts.admin')
@section('content')


    {{--修改表格--}}
@include('admin.table.style')

        <!--左侧菜单栏-->

    @include('admin.left-sidebar')

<!-- 内容 -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            受理案件
            <small> </small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{{ url('/')}}"><i class="fa fa-dashboard"></i> 主页</a></li>
            <li><a href="#">项目申请</a></li>
            <li><a href="{{ url('/table') }}">受理案件</a></li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
        <!-- Default box -->
        <div class="box">
            <div class="box-header">

            </div>
            <!-- /.box-header -->
            <div class="box-body" id="print">
                {{--content--}}
                <div class="row" style="text-align: center">
                    <h3>国有土地房屋征收与补偿安置单（货币化安置）</h3><br>
                </div>
                <form id="form" action="" method="post">
                    {{ csrf_field() }}
                    @include('admin.errors')
                <div id="example2_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
                    <div class="row">
                        <div class="col-sm-2" style="text-align: right;">项目名称：</div>
                        <div class="col-sm-5">
                            <select class="form-control" name="project_name">
                                <option>请选择项目</option>
                                @foreach($project as $data)
                                    <option value="{{ $data->project_name }}">{{ $data->project_name }}</option>
                                @endforeach
                            </select>                            </div>
                        <div class="col-sm-2" style="text-align: right;">编号：</div>
                        <div class="col-sm-2">
                            <input style="margin: 0px;" name="num" class="form-control" type="text" placeholder=" ">
                        </div><br><br>
                    </div>
                    <div class="row">
                        <div class="col-sm-12">

                            <table style="border: 1px solid #585858" id="example2" class="table table-bordered">
                                <tbody>

                                <tr>
                                    <td colspan="2" width="20%">被征收人姓名：</td>
                                    <td colspan="2" ><input name="bzc_name" class="form-control" type="text" placeholder="必填项"></td>
                                    <td colspan="2" width="20%" >被征收房屋地址</td>
                                    <td colspan="2" ><input name="bzc_addr" class="form-control" type="text" placeholder="必填项"></td>
                                </tr>
                                <tr>
                                    <td colspan="2" width="20%">联系电话：</td>
                                    <td colspan="2" ><input name="bzc_tel" class="form-control" type="text" placeholder="必填项（数字）"></td>
                                    <td colspan="2" width="20%" >被征收人身份证号码：</td>
                                    <td colspan="2" ><input name="bzc_cardid" class="form-control" type="text" placeholder="必填项（数字）"></td>
                                </tr>
                                <tr>
                                    <td colspan="2" width="20%">产权性质：</td>
                                    <td colspan="2" ><input name="property" class="form-control" type="text" placeholder="必填项"></td>
                                    <td colspan="2" width="20%" >用途：</td>
                                    <td colspan="2" ><input name="used" class="form-control" type="text" placeholder="必填项"></td>
                                </tr>
                                <tr>
                                    <td width="10%">拆迁补偿总金额：</td>
                                    <td colspan="5">
                                        <input disabled id="total_money1" class="form-control" type="text" placeholder="大写">
                                    </td>
                                    <td colspan="2"><input name="total_money" class="form-control next" type="text" placeholder="小写" onchange="NoToChinese(this.value)" >(元)</td>
                                </tr>
                                <tr>
                                    <td rowspan="4" colspan="2">货币化安置</td>
                                    <td>房屋类别</td>
                                    <td>购买存量房面积（㎡）</td>
                                    <td>购买存量房单价（元/㎡）</td>
                                    <td>购买存量房价格（元）</td>
                                    <td>应退差额（元）</td>
                                    <td>应交差额（元）</td>
                                </tr>
                                <tr>
                                    <td rowspan="2">住宅</td>
                                    <td><input name="home_area" class="form-control next" type="text" placeholder=""  onchange="get_product(home_area,money_home_dprice,money_home_price)">
                                    </td>
                                    <td><input name="money_home_dprice" class="form-control next" type="text" placeholder="" onchange="get_product(home_area,money_home_dprice,money_home_price)">
                                    </td>
                                    <td><input name="money_home_price" value="0" class="form-control next" type="text" placeholder=""></td>
                                    <td rowspan="2"><input id="money_home_tchae" value="0" name="money_home_tchae" class="form-control next" type="text" placeholder=""  onclick="jian(money_home_price,money_home_price2,money_bus_price,total_money)">
                                    </td>
                                    <td rowspan="2"><input id="money_home_jchae" value="0" name="money_home_jchae" class="form-control next" type="text" placeholder="" onclick="jian(money_home_price,money_home_price2,money_bus_price,total_money)">
                                    </td>
                                </tr>
                                <tr>
                                    <td><input name="home_area2" class="form-control next" type="text" placeholder="" onchange="get_product(home_area2,money_home_dprice2,money_home_price2)">
                                    </td>
                                    <td><input name="money_home_dprice2" class="form-control next" type="text" placeholder="" onchange="get_product(home_area2,money_home_dprice2,money_home_price2)">
                                    </td>
                                    <td><input name="money_home_price2" value="0" class="form-control next" type="text" placeholder=""></td>
                                </tr>
                                <tr>
                                    <td>商业</td>
                                    <td><input name="money_bus_area" class="form-control next" type="text" placeholder=""  onchange="get_product(money_bus_area,money_bus_dprice,money_bus_price)">
                                    </td>
                                    <td><input name="money_bus_dprice" class="form-control next" type="text" placeholder="" onchange="get_product(money_bus_area,money_bus_dprice,money_bus_price)">
                                    </td>
                                    <td><input name="money_bus_price" value="0" class="form-control next" type="text" placeholder=""></td>

                                    <td><a id="nextid" onclick="nextPage()">转下页</a></td>
                                    <td><input name="other" value=" " class="form-control next" type="text" placeholder="">
                                        <input type="hidden" name="json" id="json">
                                        <input type="hidden" name="hours" id="hours">
                                    </td>
                                </tr>
                                <tr>
                                    <td>购买房屋位置</td>
                                    <td colspan="7"><input name="home_addr" class="form-control next" type="text" value="       小区      楼号     单元      层数      室"></td>
                                </tr>
                                <tr >
                                    <td rowspan="2" colspan="2" style="height: 90px;">征收实施单位（章） </td>
                                    <td>被征收人（签字）</td>
                                    <td colspan="2"> </td>
                                    <td>代理人（签字）</td>
                                    <td colspan="2"> </td>
                                </tr>
                                <tr>
                                    <td>签约时间</td>
                                    <td colspan="5"><input readonly id="table_time" name="table_time" class="form-control" type="hidden" placeholder=""></td>
                                </tr>
                                </tbody>
                            </table>
                            <div class="row">
                                <div class="col-sm-4">核算（签字）：<input   name="hesuan"  style="border: none #ffffff;border-bottom: #777777 solid 1px;" type="text" placeholder=""></div>
                                <div class="col-sm-4">初审（签字）：<input disabled style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                <div class="col-sm-4">监审（签字）：<input disabled style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                            </div><br>
                            <div class="row">
                                <div class="col-sm-4">复核（签字）：<input   name="fuhe" style="border: none #ffffff;border-bottom: #777777 solid 1px;" type="text"></div>
                                <div class="col-sm-4">初审（签字）：<input   style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                <div class="col-sm-4">监审（签字）：<input   style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                            </div><br>
                            <div class="row" id="bottom_button">
                                <div class="col-sm-8">
                                </div>
                                <div class="col-sm-4">
                                    @if($user->role == 0)
                                        <button id="sub" type="submit" onclick="javascript:this.form.action='{{ url('/table/save/'.$table_type_id) }}'" class="btn btn-success">
                                            保存</button>
                                        <!-- Button trigger modal -->
                                        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#myModal">提交</button>
                                        {{--<button type="submit" onclick="javascript:this.form.action='{{ url('/table/sub/'.$table_type_id.'/create') }}'" class="btn btn-primary">--}}
                                            {{--提交</button>--}}
                                    @endif
                                    <a href="{{ url('/table') }}" class="btn btn-info">返回</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                {{--model--}}
                    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <h4 class="modal-title" id="myModalLabel">提交说明</h4>
                                </div>
                                <div class="modal-body">
                                    <div class="form-group">
                                        <textarea class="form-control" id="model_des" name="sub_description" placeholder="输入您的内容..."></textarea>
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-default" data-dismiss="modal">返回</button>
                                    <button id="sub" type="submit" class="btn btn-primary" onclick="javascript:this.form.action='{{ url('/table/sub/'.$table_type_id.'/create') }}'">提交</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    {{--end model--}}
    </form>
                <script type="text/javascript">
//                    $('#sub').click(function(){
//                        $('#table_time').val( $('#table_time').val().replace(/-/g,''));
//                    });
                    $("#table_time").datetimepicker({
                        language: 'zh',
                        format: 'yyyy年mm月dd日',
                        minView:'month'
                    }).on('changeDate',function(){
                        $(".datetimepicker").hide();
                    });

                    function NoToChinese(num) {
                        if (!/^\d*(\.\d*)?$/.test(num)) { alert("Number is wrong!"); return "Number is wrong!"; }
                        var AA = new Array("零", "壹", "贰", "叁", "肆", "伍", "陆", "柒", "捌", "玖");
                        var BB = new Array("", "拾", "佰", "仟", "萬", "億", "点", "");
                        var a = ("" + num).replace(/(^0*)/g, "").split("."), k = 0, re = "";
                        for (var i = a[0].length - 1; i >= 0; i--) {
                            switch (k) {
                                case 0: re = BB[7] + re; break;
                                case 4: if (!new RegExp("0{4}\\d{" + (a[0].length - i - 1) + "}$").test(a[0]))
                                    re = BB[4] + re; break;
                                case 8: re = BB[5] + re; BB[7] = BB[5]; k = 0; break;
                            }
                            if (k % 4 == 2 && a[0].charAt(i + 2) != 0 && a[0].charAt(i + 1) == 0) re = AA[0] + re;
                            if (a[0].charAt(i) != 0) re = AA[a[0].charAt(i)] + BB[k % 4] + re; k++;
                        }

                        if (a.length > 1) //加上小数部分(如果有小数部分)
                        {
                            re += BB[6];
                            for (var i = 0; i < a[1].length; i++) re += AA[a[1].charAt(i)];
                        }

                        $('#total_money1').val(re);
                    }

                    function jian(I,P,Q,total){
                        var result = 0;
                        if ($(I).val() == ''){$(I).val(0);}
                        if ($(P).val() == ''){$(P).val(0);}
                        if ($(Q).val() == ''){$(Q).val(0);}
                        if ($(total).val() == ''){$(total).val(0);}

                        result = parseFloat($(total).val()) - ( parseFloat($(I).val())+parseFloat($(P).val())+parseFloat($(Q).val()) );
                        result = Math.round(result);
                        if(result >= 0){
                            $('#money_home_jchae').val(result);
                            $('#money_home_tchae').val('');
                        }else{
                            $('#money_home_jchae').val('');
                            $('#money_home_tchae').val(result*(-1));
                        }
                    }

                    function minus(value){
                        $('#money_home_tchae').val('-'+value);
                    }
                    function get_product(left,right,product){
                        var result = (left.value*right.value);
                        product.value = result.toFixed(0);
                    }
                    function printed(printpage) {
                        $('#bottom_button').hide();
                        var headstr = "<html><head><title></title></head><body>";
                        var footstr = "</body>";
                        var newstr = document.all.item(printpage).innerHTML;
                        var oldstr = document.body.innerHTML;
                        document.body.innerHTML = headstr + newstr + footstr;
                        window.print();
                        document.body.innerHTML = oldstr;
                        $('#bottom_button').show();
                    return false;
                    }

                var jsons = []; // 所有的回迁房数据
                var hours = 0;  // 回迁房套数
                function nextPage(){
                    var json = {};
                    var chae = $('#money_home_tchae').val();
                    //差额不够时隐藏下一页
                    if(chae == ''||chae == 0 ){
                        document.getElementById('nextid').style.display = "none";
                    }
                    //批量赋值在数组里
                    $(".next").each(function(){
                        json[this.name] =this.value;
                        this.value = ''; //清空当前页数据，伪第二页
                    });

                    //赋值下一页的总金额
                    $('#total_money').val(chae);

                    jsons.push(json);
                    console.log(jsons);
                    hours += 1;
                    $('#hours').val(hours);
                    alert('已转下一页刷新，请继续填写表单');
                    return jsons;
                }

                $('form').submit(function(){
                    var jsons  = nextPage();
                    var temp = JSON.stringify(jsons);

                    $('#json').val(temp);

                    return true;
                });

                </script>
            </div>
            <!-- /.box-body -->
        </div>
        <!-- /.box -->

    </section>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->

@endsection