@extends('layouts.admin')
@section('content')


    {{--修改表格--}}
@include('admin.table.style')

    <!--左侧菜单栏-->
@include('admin.left-sidebar')
    <!-- 内容 -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                受理案件
                <small> </small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="{{ url('/')}}"><i class="fa fa-dashboard"></i> 主页</a></li>
                <li><a href="#">项目申请</a></li>
                <li><a href="{{ url('/table') }}">受理案件</a></li>
            </ol>
        </section>
        <!-- Main content -->
        <section class="content">
            <!-- Default box -->
            <div class="box">
                <div class="box-header">

                </div>
                <!-- /.box-header -->
                <div class="box-body" id="print">
                    {{--content--}}
                    <div class="row" style="text-align: center">
                        <h3>海勃湾区残疾人房屋征收补贴审批确认单</h3><br>
                    </div>
                    <form action="" method="post">

                        <input type="hidden" name="bzc_cardid" class="form-control" placeholder="">
                        <input type="hidden" name="table_time" class="form-control" placeholder="">

                        {{ csrf_field() }}
                        @include('admin.errors')
                    <div id="example2_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
                        <div class="row">
                            <div class="col-sm-2" style="text-align: right;">项目名称：</div>
                            <div class="col-sm-5">
                                <select class="form-control" name="project_name">
                                    <option>请选择项目</option>
                                    @foreach($project as $data)
                                        <option value="{{ $data->project_name }}">{{ $data->project_name }}</option>
                                    @endforeach
                                </select>                            </div>
                            <div class="col-sm-2" style="text-align: right;">编号：</div>
                            <div class="col-sm-2">
                                <input style="margin: 0px;" name="num" class="form-control" type="text" placeholder=" ">
                            </div><br><br>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <table style="border: 1px solid #585858" id="example2" class="table table-bordered">
                                    <tbody>

                                    <tr>
                                        <td>姓 名</td>
                                        <td>
                                            <input name="bzc_name" class="form-control" type="text" placeholder="必填项">
                                            <input name="bzc_cardid" class="form-control" type="hidden" placeholder="必填项" value="0000000">
                                        </td>
                                        <td>住 址</td>
                                        <td colspan="4"><input name="bzc_addr" class="form-control" type="text" placeholder="必填项"></td>
                                    </tr>
                                    <tr>
                                        <td>残疾类别</td>
                                        <td><input name="canji_type" class="form-control" type="text" placeholder="必填项"></td>
                                        <td>等级</td>
                                        <td><input name="level" class="form-control" type="text" placeholder="必填项"></td>
                                        <td>残疾证号</td>
                                        <td colspan="2"><input name="canji_num" class="form-control" type="text" placeholder="必填项"></td>
                                    </tr>
                                    <tr>
                                        <td>常住人口</td>
                                        <td><input name="changzhu" class="form-control" type="text" placeholder=""></td>
                                        <td>残疾人数</td>
                                        <td><input name="canji" class="form-control" type="text" placeholder=""></td>
                                        <td>联系电话</td>
                                        <td colspan="2"><input name="bzc_tel" class="form-control" type="text" placeholder="必填项(数字)"></td>
                                    </tr>
                                    <tr>
                                        <td>家庭基本情况</td>
                                        <td colspan="6"><textarea name="home_thing" style="width: 90%;height: 150px;"></textarea></td>
                                    </tr>
                                    <tr>
                                        <td rowspan="5">征收补贴核算</td>
                                        <td>残疾人补贴</td>
                                        <td colspan="5"><input name="canbu" class="form-control" type="text" placeholder="" value="0"></td>
                                    </tr>
                                    <tr>
                                        <td rowspan="2">临时安置补贴</td>
                                        <td>面积</td>
                                        <td>单价</td>
                                        <td>月数</td>
                                        <td>50%</td>
                                        <td rowspan="2"><input name="linshibu" class="form-control" type="text" placeholder="" value="0" onclick="get_product(linshibu_a,linshibu_d,linshibu_m,linshibu_b,linshibu)"></td>
                                    </tr>
                                    <tr>
                                        <td><input name="linshibu_a" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="linshibu_d" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="linshibu_m" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="linshibu_b" class="form-control" type="text" placeholder="" value="0.5"></td>
                                    </tr>
                                    <tr>
                                        <td>搬迁补贴</td>
                                        <td colspan="5"><input name="banqianbu" class="form-control" type="text" placeholder="" value="0"></td>
                                    </tr>
                                    <tr>
                                        <td>合计</td>
                                        <td colspan="3"><input disabled id="total1" class="form-control" type="text" placeholder="大写" ></td>
                                        <td colspan="2"><input name="total" class="form-control" type="text" placeholder="小写" onclick="add(canbu,linshibu,banqianbu,total)"></td>
                                    </tr>
                                    <tr>
                                        <td><p>发证单位审核意见</p></td>
                                        <td colspan="3">
                                            <p style="margin-top: 10%;text-align: center">（盖 章）</p>
                                            <p style="margin-top: 10%;text-align: center"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;年 &nbsp;&nbsp;&nbsp;&nbsp;月 &nbsp;&nbsp;&nbsp;&nbsp;日</p></td>
                                        <td><p>征收实施单位审批意见</p></td>
                                        <td colspan="4"><p style="margin-top: 10%;text-align: center">（盖 章）</p>
                                            <p style="margin-top: 10%;text-align: center"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;年 &nbsp;&nbsp;&nbsp;&nbsp;月 &nbsp;&nbsp;&nbsp;&nbsp;日</p></td>
                                    </tr>
                                    </tbody>
                                </table>
                                <div class="row">
                                    <div class="col-sm-4">核算（签字）：<input   name="hesuan"  style="border: none #ffffff;border-bottom: #777777 solid 1px;" type="text" placeholder=""></div>
                                    <div class="col-sm-4">初审（签字）：<input disabled style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                    <div class="col-sm-4">监审（签字）：<input disabled style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                </div><br>
                                <div class="row">
                                    <div class="col-sm-4">复核（签字）：<input   name="fuhe" style="border: none #ffffff;border-bottom: #777777 solid 1px;"  type="text" placeholder=""></div>
                                    <div class="col-sm-4">初审（签字）：<input   style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                    <div class="col-sm-4">监审（签字）：<input   style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                </div><br>
                                <div class="row" id="bottom_button">
                                    <div class="col-sm-8">
                                    </div>
                                    <div class="col-sm-4">
                                        @if($user->role == 0)
                                            <button id="sub" type="submit" onclick="javascript:this.form.action='{{ url('/table/save/'.$table_type_id) }}'" class="btn btn-success">
                                                保存</button>
                                            <!-- Button trigger modal -->
                                            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#myModal">提交</button>
                                        @endif
                                        <a href="{{ url('/table') }}" class="btn btn-info">返回</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                        {{--model--}}
                        <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                        <h4 class="modal-title" id="myModalLabel">提交说明</h4>
                                    </div>
                                    <div class="modal-body">
                                        <div class="form-group">
                                            <textarea class="form-control" id="model_des" name="sub_description" placeholder="输入您的内容..."></textarea>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default" data-dismiss="modal">返回</button>
                                        <button id="sub" type="submit" class="btn btn-primary" onclick="javascript:this.form.action='{{ url('/table/sub/'.$table_type_id.'/create') }}'">提交</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {{--end model--}}
                        </form>
                    <script type="text/javascript">
                        $(".timepicker").datetimepicker({
                            language: 'zh',
                            format: 'yyyy年mm月dd日',
                            minView:'month'
                        }).on('changeDate',function(){
                            $(".datetimepicker").hide();
                        });

                        function get_product(left,right,three,four,product){
                            var result = (left.value*right.value*three.value*four.value);
                            product.value = result.toFixed(0);
                        }
                        function add(one,two,three,add){
                            var num = parseFloat($(one).val()) + parseFloat($(two).val())+ parseFloat($(three).val());
                            num = Math.round(num);
                            $(add).val(num + "");

                            if (!/^\d*(\.\d*)?$/.test(num)) { alert("Number is wrong!"); return "Number is wrong!"; }
                            var AA = new Array("零", "壹", "贰", "叁", "肆", "伍", "陆", "柒", "捌", "玖");
                            var BB = new Array("", "拾", "佰", "仟", "萬", "億", "点", "");
                            var a = ("" + num).replace(/(^0*)/g, "").split("."), k = 0, re = "";
                            for (var i = a[0].length - 1; i >= 0; i--) {
                                switch (k) {
                                    case 0: re = BB[7] + re; break;
                                    case 4: if (!new RegExp("0{4}\\d{" + (a[0].length - i - 1) + "}$").test(a[0]))
                                        re = BB[4] + re; break;
                                    case 8: re = BB[5] + re; BB[7] = BB[5]; k = 0; break;
                                }
                                if (k % 4 == 2 && a[0].charAt(i + 2) != 0 && a[0].charAt(i + 1) == 0) re = AA[0] + re;
                                if (a[0].charAt(i) != 0) re = AA[a[0].charAt(i)] + BB[k % 4] + re; k++;
                            }

                            if (a.length > 1) //加上小数部分(如果有小数部分)
                            {
                                re += BB[6];
                                for (var i = 0; i < a[1].length; i++) re += AA[a[1].charAt(i)];
                            }

                            $('#total1').val(re);
                        }
                        function printed(printpage){
                            $('#bottom_button').hide();
                            var headstr = "<html><head><title></title></head><body>";
                            var footstr = "</body>";
                            var newstr = document.all.item(printpage).innerHTML;
                            var oldstr = document.body.innerHTML;
                            document.body.innerHTML = headstr+newstr+footstr;
                            window.print();
                            document.body.innerHTML = oldstr;
                            $('#bottom_button').show();

                            return false;
                        }
                    </script>
                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->

        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
@endsection