<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>征拆局 管理系统</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Bootstrap 3.3.6 -->
    <link rel="stylesheet" href="{{ asset('css/bootstrap.min.css') }}">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdn.bootcss.com/font-awesome/4.6.3/css/font-awesome.min.css">
    {{--<!-- Ionicons -->--}}
    <link rel="stylesheet" href="{{asset('css/ionicons.min.css')}}">
    <!-- Theme style -->
    <link rel="stylesheet" href="{{asset('css/AdminLTE.min.css')}}">
    <!-- AdminLTE Skins. Choose a skin from the css/skins
         folder instead of downloading all of them to reduce the load. -->
    <link rel="stylesheet" href="{{asset('css/_all-skins.min.css')}}">

    <link rel="stylesheet" href="{{asset('css/bootstrap-datetimepicker.min.css')}}">

    <!-- jQuery 2.2.0 -->
    <script src="{{asset('js/jQuery-2.2.0.min.js')}}"></script>

    <!-- Bootstrap 3.3.6 -->
    <script src="{{asset('js/bootstrap.min.js')}}"></script>
    <!-- FastClick -->
    <script src="{{asset('js/fastclick.min.js')}}"></script>
    <!-- AdminLTE App -->
    <script src="{{asset('js/app.min.js')}}"></script>
    {{-- Layer --}}
    <script src="{{asset('layer/layer.js')}}"></script>

    <script src="{{ asset('js/bootstrap-datetimepicker.min.js') }}"></script>
    <script src="{{ asset('js/bootstrap-datetimepicker.zh-CN.js') }}"  ></script>

    <![endif]-->

</head>
<body class="hold-transition skin-blue sidebar-mini">
    <div style="height: 160px;width: 100%;">
        <img style="height: 160px;width: 100%;"
             src="{{ asset('img/bohai_top.png') }}" alt="顶部LOGO">
    </div>

    <div class="wrapper">

    {{--顶部菜单--}}
    <header class="main-header">
        <!-- Logo -->
        <a href="{{ asset('/') }}" class="logo">
            <!-- mini logo for sidebar mini 50x50 pixels -->
            <span class="logo-mini"><b>Z</b>C</span>
            <!-- logo for regular state and mobile devices -->
            <span class="logo-lg"><b>征拆局 </b> 后台</span>
        </a>
        <!-- Header Navbar: style can be found in header.less -->
        <nav class="navbar navbar-static-top">
            <!-- Sidebar toggle button-->
            <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </a>

            <div class="navbar-custom-menu">
                <ul class="nav navbar-nav">
                    <li class="dropdown tasks-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            <i class="fa fa-flag-o"></i>
                        </a>
                        <ul class="dropdown-menu">
                            <li class="header">SuperAdmin操作</li>
                            <li>
                                <!-- inner menu: contains the actual data -->
                                <ul class="menu">
                                    <li><!-- Task item -->
                                        <a href="{{ asset('/change_pswd') }}">
                                            <i class="fa fa-lock"></i>
                                            <span>
                                                修改密码
                                            </span>
                                        </a>
                                    </li>
                                    <!-- end task item -->
                                </ul>
                            </li>
                        </ul>
                    </li>
                    <!-- User Account: style can be found in dropdown.less -->
                    <li class="dropdown user user-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            @if($user->thumb == '' || $user->thumb==null)
                                <img src="{{asset('/img/arr.jpg')}}" class="user-image" alt="User Image">
                                @else
                                <img src="{{asset($user->thumb)}}" class="user-image" alt="User Image">
                            @endif
                            <span class="hidden-xs">{{ $user->name }}</span>
                        </a>
                        <ul class="dropdown-menu">
                            <!-- User image -->
                            <li class="user-header">
                                @if($user->thumb == '' || $user->thumb==null)
                                    <img src="{{asset('/img/arr.jpg')}}" class="img-circle" alt="User Image">
                                @else
                                    <img src="{{asset($user->thumb)}}" class="img-circle" alt="User Image">
                                @endif
                                <p>
                                    {{ $user->surname }}
                                    <small>{{ $role->description }}</small>
                                    <small>权限级别： {{ $user->role }}</small>
                                </p>
                            </li>
                            <!-- Menu Footer-->
                            <li class="user-footer">
                                <div class="pull-left">
                                    <a href="{{ url('/') }}" class="btn btn-default btn-flat">首页</a>
                                </div>
                                <div class="pull-right">
                                    <a href="{{ url('/out') }}" class="btn btn-default btn-flat">退出</a>
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </div>
        </nav>
    </header>

        <style>
            section>ul>li>ul>li>ul>li>a{
                font-size: 12px !important;
            }
        </style>
    <!-- =============================================== -->

    @yield('content')

    {{--页脚--}}
    <footer class="main-footer">
        <div class="pull-right hidden-xs">
            <b>Version</b> 1.0
        </div>
        <strong>Copyright &copy; 2015-2020 <a target="_blank">乌海市云博信息科技有限公司</a> </strong> All rights reserved.
    </footer>

    <!-- Add the sidebar's background. This div must be placed
         immediately after the control sidebar -->
    <div class="control-sidebar-bg"></div>
</div>
</body>


</html>
